/* ! [[ Gallery Module ]] */

.gallery-block {

}

.gallery-set {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	/* justify-content: center; */
	width: 100%;
	margin: 2rem 0;
	padding: 0;
	list-style-type: none;
	overflow: hidden;

	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
	align-items: stretch;
}
.gallery-set > li {
	margin: 0;
	padding: 0;
}

.gallery-box {
	position: relative;
	display: block;
	margin: 0;
	height: 0;
	padding-top: 100%;
	background-size: cover;
	background-position: center center;
	background-repeat: no-repeat;
	transition: all .3s ease-in-out;
}
.gallery-box a {
	position: absolute;
	left: 0;
	right: 0;
	bottom: 0;
	left: 0;
	display: block;
	height: 100%;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: space-between;
	justify-content: flex-end;

	color: #fff;
	text-decoration: none;

	/* transform: scale(1); */
	cursor: pointer;
}
.gallery-box[style*="placeholder"] {
	background-size: cover;
}
.gallery-text {
	width: 100%;
	min-height: 0;
	max-height: 70%;
	margin: 0;
	padding: .75rem;
	border: none;
	border-radius: 0;
	background-color: transparent;
	background-image: linear-gradient(to bottom, rgba(0,0,0, 0), rgba(0,0,0, .6), rgba(0,0,0, .85));
	color: #fff;
	opacity: 1;
	transition: all .3s ease-in-out;
	overflow: hidden;
	cursor: pointer;
	position: relative;
	z-index: 1;
}
	.gallery-title {
		margin-bottom: 0;
		font-size: 1rem;
		text-transform: none;
	}
	.gallery-box .gallery-brief {
		max-height: 0;
		opacity: 0;
		margin-top: 0;
		margin-bottom: 0;
		transition: all .3s ease-in-out;

		font-size: .75rem;
		line-height: 1.3;
	}
	.gallery-box .gallery-brief:empty {
		margin: 0;
	}
	.gallery-box a:hover .gallery-brief {
		max-height: 200px;
		opacity: 1;
		margin-top: 1em;
	}



	/* ! [ Gallery - index ] */


	/* ! [ Gallery - view ] */
	.gallery-view .gallery-set {
		grid-template-columns: repeat(auto-fill, minmax(150px, 1fr));
	}
	.gallery-view .gallery-box:hover {
		background-size: 110%;
		transition: all .3s ease-in-out;
	}
